summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dodir
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/dodir')
-rwxr-xr-xbin/ebuild-helpers/dodir7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/ebuild-helpers/dodir b/bin/ebuild-helpers/dodir
index 50e10f45a..58303b2fc 100755
--- a/bin/ebuild-helpers/dodir
+++ b/bin/ebuild-helpers/dodir
@@ -2,4 +2,9 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-exec install -d ${DIROPTIONS} "${@/#/${D}/}"
+source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
+
+install -d ${DIROPTIONS} "${@/#/${D}/}"
+ret=$?
+[[ $ret -ne 0 ]] && helpers_die "$0 failed"
+exit $ret